# Release Notes

## migration-center 26.1

(released on 29-04-2026)

### Breaking changes

{% hint style="warning" %}
On an **Oracle** database, if the **fmemc** user was created **before version 22.1.0** you might be missing a necessary execute grant for **DBMS\_CRYPTO**. \
\
You will need to set the following grant **before running the 26.1 Upgrade**.\
GRANT EXECUTE ON SYS.DBMS\_CRYPTO TO FMEMC;
{% endhint %}

The following adaptors require a minimum of Java 17:

* Alfresco CS Importer
* Database Scanner
* d.velop Importer
* OTCS Scanner and Importer
* SharePoint Online Batch importer
* Veeva Scanner and Importers

### New importer for d.velop

Version 26.1 of migration-center comes with a new connector for importing documents into **d.velop**.\
It supportes the following features:

* Importing Documents with their content
* Set common attributes
* Set categories and their attributes
* Link to existing Dossiers
* Import versions and updates
* Check content integrity on import

### Features & Enhancements

* Security fixes in the Jobserver and WebClient components (#78130)
* New Migset Transformation Rule Snapshots:
  * Save migset TR changes as draft snapshot on regular save (#79048)
  * View list of published/draft snapshot of migset (#79050)
  * Restore older snapshots of migset from snapshot list (#79052)
  * Publish the last draft snapshot (#79049)
  * View differences between current migset state and previous snapshot (#79051)
  * Keep limited number of Draft and Published snapshots (#79599)
  * Include Associations in migset snapshots (#79948)
* Database
  * Use AES-256 when storing adaptor password parameters in the database (#78520)
  * Make processing Error objects during Transformation and Validation Optional (#77586)
* Jobserver
  * Add new checksum algorithm RIPEMD256 to computeChecksum functionality (#80262)
* Documentum Scanner
  * Allow custom editable format for PDF renditions from audittrails (#78890)
  * Improvements when scanning audit trails as PDF (#79982)
    * Export audit trail rendition even when skipContent is checked (#79983)
    * Use i\_chronicle\_id in pdf filename instead r\_object\_id when auditTrailPerVersionTree and exportAuditTrailAsRendition are checked (#79984)
    * Include all audit trails not just the ones that are scanned in the same run when exportAuditTrailAsRendition is checked (#79985)
* Veeva Scanner and Importers
  * Upgrade Veeva adapters to API 25.3 (#79307)
* Veeva Scanner
  * Allow custom editable format for PDF renditions from audittrails (#79073)
  * Remove FTPS protocol from Veeva Scanner (#80306)
* Veeva Importers
  * Add support for bypassing triggers in Veeva Importer (#79659)
  * Increase import performance when using ID field in attribute mapping (#79381)
  * Remove FTPS protocol from Veeva Importer (#80307)
* OpenText Scanner
  * Extract audit trails as PDF files from OpenText Content server (#79108)
* Filesystem Scanner
  * Update Apache Tika to latest version (#78879)\ <sub>*Note: Scanning Extended Metadata will give a few changed attribute names and more attributes than the previous version.*</sub>
* OpenText Importer
  * Set account, external create and modify dates in Source Information section (#79417)
  * Allow multithreaded import of container objects (#79253)
  * Set multilingual name and description (#79424)
  * Set Business Workspace participants (#79622)

### Fixes

* WebClient
  * Documentation redirection links do not detect context properly (#78935)
  * Importing adaptor from file puts | as separator in value for some parameters (#79098)
  * Filter Scan Runs in migset Properties (#69142)
  * Wrong source attribute set for imported migset (#78989)
  * Importers toolbar buttons remain active when no importer is selected (#79540)
  * User can change selected connection after clicking on Login (#79537)
  * Job cannot be stopped from UI if it dies on jobserver but still running in DB (#79280)
  * Migset list of rules does not display trailing spaces in the rule name (#79817)
  * Migset lock icon doesn't change when migset doesn't have objects locked (#79828)
  * Error when deleting migset mapping list used in MultiColumnMapValue function (#79590)
  * Error when token is refreshed accessing objects on slow connection (#79921)
  * White screen and DataGrid error when opening Importer selection tab with more than 100 available migsets (#79700)
  * Running jobs view appears to have job selected but doesn't respond to buttons (#80300)
* OpenText xECM Importer
  * Business Workspace import throws error when using Sub Location Path (#78932)
  * Hyphen in Category name results in errors on Business Workspace import (#79081)
  * Setting empty string/null value in non string category attribute throws error (#78949)
  * NPE when importing compound doc with moveDocumentsToCD when child is deleted from OTCS after import (#79627)
  * No error logs when virtual document has invalid relations (#80325)
  * Importing Physical Object Updates throws error (#79373)
  * Null pointer exception when creating business workspaces (#79826)
* SharePoint Online Batch Importer
  * Compliance tag is not recognize by SP Batch importer (#78984)
  * Setting compliance tag does not make the document protected from deletion (#78992)
* Documentum importer
  * Error checking checksum when document has no content and no checksum (#79490)
* Veeva Scanner
  * Duplicate documents scanned in the same run (#78925)
  * Empty csv file created when scanAuditTrailsAsRendition has no audits to scan (#79800)
* Veeva Importer
  * Cannot set created\_by\_\_v, modified\_by\_\_v, created\_date\_\_v and modified\_date\_\_v fields when importing objects (#75871)
  * Veeva import does not import objects with dependencies in the correct order (#80171)

### Known Issues and Limitations

* OpenText Importer
  * Template subfolders to not inherit attribute set values from their Business Workspace parent (#80502)
  * Latest version is deleted when an update throws error because of invalid classifications (#80379)
  * When an update/version fails on import because of a rendition/classification error the parent version/object in OTCS will have the (#80357)
* d.velop Importer
  * Access date attribute is 'Jan 1, 1 1:44:24 AM' in target system when no value is set in MC (#80393)
  * Intermediate version update document triggers rollback of the other versions that are (#80182)
  * Unreported deletion of previous imported version (#80148)
  * No error thrown when importing dataset attributes with invalid value (#80136)
  * Document is imported with value that breaks attribute limits (#80132)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.migration-center.com/release-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
